<?xml version="1.0" encoding="UTF-8" ?>
<!-- 
IGAC proyecto SNC
@author felipe.cadena
  
@cu CU-NP-CO-188 Rectificación de área
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<h:panelGrid xmlns="http://www.w3.org/1999/xhtml"
             xmlns:ui="http://java.sun.com/jsf/facelets"
             xmlns:f="http://java.sun.com/jsf/core"
             xmlns:h="http://java.sun.com/jsf/html"
             xmlns:p="http://primefaces.org/ui" width="100%">
    <h:form id="rectificarAreaForm">

        <style>
            .fileupload-buttonbar{
                background: transparent none;
                border: none;
            }

            .fileupload-content {
                border: none;
                background: transparent none;
                width: 10px;
                height: 1px;
            }
            .fileupload-content .fileupload-progressbar {
                margin: 10px 0;
                width: 10px;
            }

        </style>

        <p:spacer height="5" width="0" />


        <p:fieldset rendered="#{proyectarConservacion.banderaRectificacionZonas}">


            <legend>
                <h:outputLabel  value="Cambio de zona homógenea"
                                styleClass="legendTitle" />
            </legend>

            <h:panelGrid  width="100%" rendered="#{proyectarConservacion.banderaRectificacionZonas}">

                <p:spacer width="10" height="0"
                          rendered="#{!proyectarConservacion.tramite.segundaDesenglobe}"/>

                <h:selectOneRadio   id="apRevisionSlt"                                
                                    value="">  
                    <f:selectItems value="#{proyectarConservacion.tiposCambioZona}"/>  
                    <!--
                                    <p:ajax listener="" 
                                            update="plazoTxt" event="change" process="@this"/>-->
                </h:selectOneRadio>  

                <p:spacer width="10" height="0"
                          rendered="#{!proyectarConservacion.tramite.segundaDesenglobe}"/>

                <h:panelGrid columns="2" rendered="#{proyectarConservacion.banderaRectificacionZonas}">
                    <p:commandButton value="Visor geográfico" id="zoomAreaB"
                                     icon="ui-icon-zoomin" ajax="true"
                                     oncomplete="cargarMapaZoomToFeature('#{rectificarArea.applicationClientName}',
                                     '#{rectificarArea.tokenParam}',
                                     '#{rectificarArea.moduleLayer}',
                                     '#{rectificarArea.moduleTools}',
                                     '#{rectificarArea.prediosParaZoom}');" />

                    <p:commandButton value="Aceptar" icon="ui-icon-check" title="Zonas"
                                     update=":tabView1:rectificarAreaForm:testMsgs"
                                     action="#{rectificarArea.validarGuardarTramite}" process="@this"/>
                </h:panelGrid>
            </h:panelGrid>

        </p:fieldset>


        <h:panelGrid columns="2" width="100%" rendered="#{!proyectarConservacion.banderaRectificacionZonas}">
            <h:selectBooleanCheckbox value="#{rectificarArea.banderaModificarLinderos}" 
                                     disabled="#{proyectarConservacion.banderaPredioFiscal}" >
                <h:outputLabel styleClass="outputLabelStyle" value="Modificación de linderos"/>
            </h:selectBooleanCheckbox>
            <p:commandButton value="Aceptar" icon="ui-icon-check"
                             update="rectificarAreaForm, :proyectarMutacionPnlGrd"
                             action="#{rectificarArea.aceptarModificacionLinderos}"
                             disabled="#{proyectarConservacion.banderaPredioFiscal}"/>


        </h:panelGrid>

        <p:spacer height="5" width="0" />
        <p:fieldset rendered="#{rectificarArea.banderaModificarLinderos}">
            <p:messages id="docMsgs" />


            <legend>
                <h:outputLabel  value="Documento justificativo de rectificación"
                                styleClass="legendTitle" />
            </legend>

            <h:panelGrid id="fuPG" columns="2" cellspacing="7" width="100%">
                <h:outputLabel styleClass="outputLabelStyle" value="Tipo de documento justificativo:"/>

                <h:selectOneRadio required="true" value="#{rectificarArea.tipoDocumentoJustificacion}"
                                  requiredMessage="Debe seleccionar cual es el documento que sustenta la rectificación de área">
                    <f:selectItems value="#{rectificarArea.tiposDocumentoJustificacion}"/>
                </h:selectOneRadio>

                <p:fileUpload id="fu" label="Cargar documento"
                              rendered="#{!(not empty rectificarArea.documentosJustificacion)}"
                              fileUploadListener="#{rectificarArea.cargaDocumento}"
                              dragDropSupport="true"
                              process=":tabView1:rectificarAreaForm"
                              onstart="statusDialog2.show();"
                              oncomplete="statusDialog2.hide();"
                              invalidFileMessage="Formato de documento no permitido"
                              invalidSizeMessage="El archivo seleccionado supera el tamaño permitido"
                              widgetVar="uploader" mode="advanced" auto="true"
                              sizeLimit="#{general.maximoTamanoAdjuntos}" allowTypes="/(\.|\/)(pdf|dwg|tif|png|jpg|JPG|jpeg|JPEG|PNG|TIF|PDF)$/"
                              update=":tabView1:rectificarAreaForm:docMsgs, :tabView1:rectificarAreaForm:docsDT, :tabView1:rectificarAreaForm:fuPG"/>


            </h:panelGrid>



            <p:spacer height="5" width="0" />

            <p:dataTable var="documento" id="docsDT"
                         value="#{rectificarArea.documentosJustificacion}"
                         emptyMessage="No hay predios asociados">
                <p:column>
                    <f:facet name="header">Opciones</f:facet>
                    <p:commandButton onstart="statusDialog2.show();"
                                     update=":viewMemo:vistaMemoForm"
                                     oncomplete="statusDialog2.hide();memorandoWV.show();" icon="ui-icon ui-icon-search"
                                     title="Ver">
                        <f:setPropertyActionListener
                            target="#{previsualizacionDocumento.documentoTemporal}"
                            value="#{documento}" />
                    </p:commandButton>
                    <p:commandButton onstart="statusDialog2.show();"
                                     update=":tabView1:rectificarAreaForm"
                                     action="#{rectificarArea.eliminarDocumentoAdjunto}"
                                     oncomplete="statusDialog2.hide();" icon="ui-icon ui-icon-trash"
                                     title="Eliminar">
                    </p:commandButton>

                </p:column>
                <p:column>
                    <f:facet name="header">Nombre documento</f:facet>
                    <h:outputText value="#{documento.archivo}" />
                </p:column>
            </p:dataTable>

        </p:fieldset>

        <p:spacer height="5" width="0" />
        <p:fieldset rendered="#{!proyectarConservacion.banderaRectificacionZonas}">

            <legend>
                <h:outputLabel value="Predios"
                               styleClass="legendTitle" />
            </legend>

            <h:panelGrid cellspacing="7" width="100%">
                <p:messages id="testMsgs" />
                <p:dataTable var="predio" id="prediosResultantesDT"
                             value="#{rectificarArea.prediosTramite}"
                             rowKey="#{predio.id}"
                             paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} 
                             {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                             rowsPerPageTemplate="10,20,30"
                             selection="#{rectificarArea.prediosSeleccionados}"
                             paginator="true"
                             rows="10"
                             widgetVar="prediosResultantesDTWV"
                             emptyMessage="No hay predios asociados">
                    <p:ajax  process="@this" event="rowSelect"
                             update=":tabView1" listener="#{rectificarArea.actualizarEdicionDatos}">
                    </p:ajax>
                    <p:ajax  process="@this" event="rowUnselect"
                             update=":tabView1" listener="#{rectificarArea.actualizarEdicionDatos}">
                    </p:ajax>

                    <f:facet name="header">
                        No. predial resultante
                    </f:facet>

                    <p:column selectionMode="multiple"/>

                    <p:column>
                        <f:facet name="header">Número predial</f:facet>
                        <p:commandLink oncomplete="detallePredioWV.show()"
                                       update=":dpCC:detallesPredioTV"
                                       action="#{vistaDetallesSolicitud.buscarPredioPorNumeroPredial}">
                            <h:outputText value="#{predio.formattedNumeroPredialCompleto}"
                                          styleClass="commandLinkStyle" />
                            <f:setPropertyActionListener
                                target="#{vistaDetallesSolicitud.numeroPredial}"
                                value="#{predio.numeroPredial}" />
                            <f:setPropertyActionListener
                                target="#{consultaPredio.selectedPredioId}" value="#{predio.id}" />
                        </p:commandLink>
                    </p:column>

                    <p:column headerText="Departamento">
                        <h:outputText value="#{predio.departamento.nombre}" />
                    </p:column>

                    <p:column headerText="Municipio">
                        <h:outputText value="#{predio.municipio.nombre}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Tipo de predio</f:facet>
                        <h:outputText value="#{predio.tipo}" id="PredioTipoV">
                            <f:converter converterId="converterCB" for="PredioTipoV" />
                        </h:outputText>
                    </p:column>

                    <p:column>
                        <f:facet name="header">Coef. <br />copropiedad</f:facet>
                        <center> <h:outputText
                                value="#{predio.coeficienteCopropiedad}" /> </center>
                    </p:column>

                </p:dataTable>

            </h:panelGrid>

            <h:panelGrid columns="4" id="botones">
                <p:commandButton value="Seleccionar predios" icon="ui-icon-check"
                                 update="rectificarAreaForm,:cpCC:consultaPredioForm"
                                 oncomplete="consultaPrediosDlgWV.show(); inicializarAutotab();"
                                 action="#{rectificarArea.aceptarModificacionLinderos}"
                                 rendered="#{rectificarArea.banderaModificarLinderos}"/>
                <p:commandButton value="Ver predios seleccionados" icon="ui-icon-search"
                                 update="rectificarAreaForm:botones, :psCC:formPS:botones"
                                 action="#{consultaPredio.validarPrediosSeleccionadosEstadoBloqueo}"                                  
                                 oncomplete="prediosSeleccionadosDlgWV.show();"
                                 rendered="#{rectificarArea.banderaModificarLinderos}"/>
                <p:commandButton value="Asociar predios al trámite" icon="ui-icon-transferthick-e-w"
                                 update="rectificarAreaForm"
                                 disabled="#{!consultaPredio.predioBloqueo}"
                                 action="#{rectificarArea.adicionarPrediosSeleccionados}"
                                 rendered="#{rectificarArea.banderaModificarLinderos}"/>
                <p:commandButton value="Retirar predios" icon="ui-icon-close"
                                 onclick="confirmaEliminarPrediosWV.show();"
                                 rendered="#{rectificarArea.banderaEliminarPredios}"/>


            </h:panelGrid>


        </p:fieldset>
        <p:spacer height="20" width="0" />
        <p:outputPanel layout="block" style="text-align:right" rendered="#{!proyectarConservacion.banderaRectificacionZonas}">

            <p:commandButton value="Validar y guardar" icon="ui-icon-disk"
                             update=":tabView1:rectificarAreaForm:testMsgs, :proyectarMutacionPnlGrd"
                             action="#{rectificarArea.validarGuardarTramite}"
                             />

            <p:spacer width="10" />

        </p:outputPanel>
        <p:spacer height="20" width="0" />






    </h:form>
</h:panelGrid>